<?php

class LoginSystem
{
	private $objDataBase;

	public function LoginSystem($theDataBase)
	{
		$this->objDataBase = $theDataBase;
	}

	public function Login($theUsername, $thePassword)
	{
		if($this->canLogin($theUsername, $thePassword))
		{
			$_SESSION["username"] = $theUsername;
			$_SESSION["password"] = $thePassword;

			return true;
		}

		return false;
	}

	public function IsLoggedIn()
	{
		if(isset($_SESSION["username"]))
		{
			return $this->canLogin($_SESSION["username"], $_SESSION["password"]);
		}
		else
		{
			return false;
		}
	}

	public function Logout()
	{
		unset($_SESSION["username"]);
		unset($_SESSION["password"]);

		header("Location: index.php");
	}

	private function canLogin($theUsername, $thePassword)
	{
		$objUser = $this->objDataBase->GetUser($theUsername);

		if(isset($objUser->Username))
		{
			if($objUser->Username == $theUsername AND $objUser->Password == $thePassword)
			{
				return true;
			}
		}

		return false;
	}
}

?>