<?php

abstract class BasePage
{
	abstract public function Render();

	protected $objDB;	// DataBase
	protected $objEH;	// ErrorHandler
	protected $objTPL;	// Smarty Engine
	protected $objLS;	// Login System
	protected $strStyle;
	protected $bLoggedIn;

	public function BasePage()
	{
		$this->objTPL = new Smarty();

		$this->objTPL->template_dir = "tpl";
		$this->objTPL->compile_dir = "tpl_c";
		$this->objTPL->cache_dir = "tpl_cache";
		$this->objTPL->debugging = false;

		$this->objEH = new ErrorHandler();

		$this->objDB = new DataBase("localhost", "root", "password", "raidprogress", $this->objEH);
		$this->objDB->Connect();

		$this->objLS = new LoginSystem($this->objDB);

		$this->strStyle = "default";

		$arrInstances = $this->objDB->GetInstances(); // Get all Instances

		session_save_path("c:\\inetpub\\wwwroot\\raidprogress\\sessions\\");
		session_start();

		$this->bLoggedIn = $this->objLS->IsLoggedIn();

		$this->objTPL->assign("LoggedIn", $this->bLoggedIn);
		$this->objTPL->assign("Style", $this->strStyle);
		$this->objTPL->assign("Instances", $arrInstances);
		if(isset($_SESSION["username"])) $this->objTPL->assign("Username", $_SESSION["username"]);
	}
}

?>