<?php

class IndexPage extends BasePage
{
	public function IndexPage()
	{
		parent::BasePage();

		$this->objTPL->assign("Template", "Index");
	}

	public function Render()
	{
		$arrInstances = $this->objDB->GetInstances();		// Get all Instances
		$arrHordeRaids = $this->objDB->GetRaids("H");		// Get all Horde Raids
		$arrAllianceRaids = $this->objDB->GetRaids("A");	// Get all Alliance Riads
		$arrHordeKills = array();
		$arrAllianceKills = array();

		// Get Horde Instance Kills for each Raid
		for($i = 0; $i < count($arrHordeRaids); $i++)
		{
			$arrHordeKills[$i] = $this->objDB->GetNumberOfKills($arrHordeRaids[$i]->ID);
		}

		// Get Alliance Instance Kills for each Raid
		for($i = 0; $i < count($arrAllianceRaids); $i++)
		{
			$arrAllianceKills[$i] = $this->objDB->GetNumberOfKills($arrAllianceRaids[$i]->ID);
		}

		$this->objTPL->assign("Instances", $arrInstances);
		$this->objTPL->assign("HordeRaids", $arrHordeRaids);
		$this->objTPL->assign("HordeRaidKills", $arrHordeKills);
		$this->objTPL->assign("AllianceRaids", $arrAllianceRaids);
		$this->objTPL->assign("AllianceRaidKills", $arrAllianceKills);
		$this->objTPL->assign("SQLQueries", $this->objDB->SQLQueries());

		$this->objTPL->display($this->strStyle . "/Header.tpl");
	}
}

?>