<?php

class LatestKillPage extends BasePage
{
	public function LatestKillPage()
	{
		parent::BasePage();

		$this->objTPL->assign("Template", "LatestKills");
	}

	public function Render()
	{
		$arrLatestKills = $this->objDB->GetLatestKills(5);	// Get the latest 5 Boss kills

		for($i = 0; $i < count($arrLatestKills); $i++)
		{
			// Change Date Format
			$arrLatestKills[$i]->KillDate = ($arrLatestKills[$i]->KillDate != NULL) ? date("j M Y", strtotime($arrLatestKills[$i]->KillDate)): "";
		}

		$this->objTPL->assign("LatestKills", $arrLatestKills);
		$this->objTPL->assign("SQLQueries", $this->objDB->SQLQueries());

		$this->objTPL->display($this->strStyle . "/Header.tpl");
	}
}

?>