-- phpMyAdmin SQL Dump
-- version 2.8.2
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Erstellungszeit: 30. Juli 2006 um 17:14
-- Server Version: 5.0.22
-- PHP-Version: 5.1.4
-- 
-- Datenbank: `raidprogress`
-- 

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `tblbosses`
-- 

CREATE TABLE `tblbosses` (
  `ID` int(11) NOT NULL,
  `InstanceID` int(11) NOT NULL,
  `BossName` varchar(32) NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=InnoDB;

-- 
-- Daten für Tabelle `tblbosses`
-- 

INSERT INTO `tblbosses` (`ID`, `InstanceID`, `BossName`) VALUES (1, 1, 'Lucifron'),
(2, 1, 'Magmadar'),
(3, 1, 'Gehennas'),
(4, 1, 'Garr'),
(5, 1, 'Baron Geddon'),
(6, 1, 'Shazzrah'),
(7, 1, 'Sulfuron Harbinger'),
(8, 1, 'Golemag'),
(9, 1, 'Majordomo'),
(10, 1, 'Ragnaros'),
(11, 2, 'Razorgore the Untamed'),
(12, 2, 'Vaelastraz the Corrupted'),
(13, 2, 'Broodlord Lashlayer'),
(14, 2, 'Firemaw'),
(15, 2, 'Ebonroc'),
(16, 2, 'Flamegor'),
(17, 2, 'Chrommaggus'),
(18, 2, 'Nefarian'),
(19, 3, 'Skeram the Prophet'),
(20, 3, 'Lord Kri/Princess Yauji/Vem'),
(21, 3, 'Sartura'),
(22, 3, 'Fankriss'),
(23, 3, 'Viscidus'),
(24, 3, 'Princess Huhuran'),
(25, 3, 'The Twin Emperor'),
(26, 3, 'Ouro'),
(27, 3, 'C''Thun'),
(28, 4, 'Anub''Rekhan'),
(29, 4, 'Grand Widow Faerlina'),
(30, 4, 'Maexxna');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `tblinstances`
-- 

CREATE TABLE `tblinstances` (
  `ID` int(11) NOT NULL,
  `InstanceName` varchar(32) NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=InnoDB;

-- 
-- Daten für Tabelle `tblinstances`
-- 

INSERT INTO `tblinstances` (`ID`, `InstanceName`) VALUES (1, 'Molten Core'),
(2, 'Blackwing Lair'),
(3, 'Ahn''Qiraj'),
(4, 'Naxxramas');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `tblkills`
-- 

CREATE TABLE `tblkills` (
  `RaidID` int(11) NOT NULL,
  `BossID` int(11) NOT NULL,
  `KillDate` date default NULL,
  `Comment` varchar(64) NOT NULL
) TYPE=InnoDB;

-- 
-- Daten für Tabelle `tblkills`
-- 

INSERT INTO `tblkills` (`RaidID`, `BossID`, `KillDate`, `Comment`) VALUES (1, 1, NULL, ''),
(1, 3, NULL, ''),
(1, 4, NULL, ''),
(1, 5, NULL, ''),
(1, 6, NULL, ''),
(1, 7, NULL, ''),
(1, 8, NULL, ''),
(1, 9, NULL, ''),
(1, 10, NULL, ''),
(1, 11, NULL, ''),
(1, 12, NULL, ''),
(1, 13, NULL, ''),
(1, 2, NULL, ''),
(1, 14, NULL, ''),
(1, 15, NULL, ''),
(1, 16, NULL, ''),
(1, 17, NULL, ''),
(1, 18, NULL, ''),
(1, 19, NULL, ''),
(1, 20, NULL, ''),
(1, 21, NULL, ''),
(1, 24, NULL, ''),
(1, 22, NULL, ''),
(1, 23, NULL, ''),
(1, 27, '2006-07-25', 'Nach einem 2% Wipe down.'),
(2, 1, NULL, ''),
(2, 3, NULL, ''),
(2, 2, NULL, ''),
(2, 4, NULL, ''),
(2, 5, NULL, ''),
(2, 6, NULL, ''),
(2, 7, NULL, ''),
(2, 8, NULL, ''),
(2, 9, NULL, ''),
(2, 10, NULL, ''),
(2, 11, NULL, ''),
(2, 12, NULL, ''),
(2, 13, NULL, ''),
(2, 14, NULL, ''),
(2, 15, NULL, ''),
(2, 16, NULL, ''),
(2, 17, NULL, ''),
(2, 19, NULL, ''),
(3, 1, NULL, ''),
(3, 3, NULL, ''),
(3, 2, NULL, ''),
(3, 4, NULL, ''),
(3, 5, NULL, ''),
(3, 6, NULL, ''),
(3, 7, NULL, ''),
(3, 8, NULL, ''),
(3, 9, NULL, ''),
(3, 10, NULL, ''),
(3, 11, NULL, ''),
(3, 12, NULL, ''),
(3, 13, NULL, ''),
(3, 14, NULL, ''),
(3, 15, NULL, ''),
(3, 16, NULL, ''),
(3, 17, NULL, ''),
(3, 19, NULL, ''),
(5, 1, NULL, ''),
(5, 3, NULL, ''),
(5, 2, NULL, ''),
(5, 4, NULL, ''),
(5, 5, NULL, ''),
(5, 6, NULL, ''),
(5, 7, NULL, ''),
(5, 8, NULL, ''),
(5, 9, NULL, ''),
(5, 10, NULL, ''),
(5, 11, NULL, ''),
(5, 12, NULL, ''),
(5, 13, NULL, ''),
(5, 14, NULL, ''),
(5, 15, NULL, ''),
(5, 16, NULL, ''),
(5, 17, NULL, ''),
(5, 18, NULL, ''),
(6, 1, NULL, ''),
(6, 3, NULL, ''),
(6, 2, NULL, ''),
(6, 4, NULL, ''),
(6, 5, NULL, ''),
(6, 6, NULL, ''),
(6, 7, NULL, ''),
(6, 8, NULL, ''),
(6, 9, NULL, ''),
(6, 10, NULL, ''),
(6, 11, NULL, ''),
(6, 12, NULL, ''),
(6, 13, NULL, ''),
(6, 14, NULL, ''),
(6, 15, NULL, ''),
(6, 16, NULL, ''),
(6, 17, NULL, ''),
(6, 18, NULL, ''),
(7, 1, NULL, ''),
(7, 3, NULL, ''),
(7, 2, NULL, ''),
(7, 4, NULL, ''),
(7, 5, NULL, ''),
(7, 6, NULL, ''),
(7, 7, NULL, ''),
(7, 8, NULL, ''),
(7, 9, NULL, ''),
(7, 10, NULL, ''),
(7, 11, NULL, ''),
(7, 12, NULL, ''),
(7, 13, NULL, ''),
(7, 14, NULL, ''),
(7, 15, NULL, ''),
(7, 16, NULL, ''),
(7, 17, NULL, ''),
(7, 18, NULL, ''),
(8, 1, NULL, ''),
(8, 3, NULL, ''),
(8, 2, NULL, ''),
(8, 4, NULL, ''),
(8, 5, NULL, ''),
(8, 6, NULL, ''),
(8, 7, NULL, ''),
(8, 8, NULL, ''),
(8, 9, NULL, ''),
(8, 10, NULL, ''),
(8, 11, NULL, ''),
(8, 12, NULL, ''),
(8, 13, NULL, ''),
(8, 14, NULL, ''),
(8, 15, NULL, ''),
(8, 16, NULL, ''),
(8, 17, NULL, ''),
(8, 18, NULL, ''),
(9, 1, NULL, ''),
(9, 3, NULL, ''),
(9, 2, NULL, ''),
(9, 4, NULL, ''),
(9, 5, NULL, ''),
(9, 6, NULL, ''),
(9, 7, NULL, ''),
(9, 8, NULL, ''),
(9, 9, NULL, ''),
(9, 10, NULL, ''),
(9, 11, NULL, ''),
(9, 12, NULL, ''),
(9, 13, NULL, ''),
(9, 14, NULL, ''),
(9, 15, NULL, ''),
(9, 16, NULL, ''),
(9, 17, NULL, ''),
(9, 18, NULL, ''),
(10, 1, NULL, ''),
(10, 3, NULL, ''),
(10, 2, NULL, ''),
(10, 4, NULL, ''),
(10, 5, NULL, ''),
(10, 6, NULL, ''),
(10, 7, NULL, ''),
(10, 8, NULL, ''),
(10, 9, NULL, ''),
(10, 10, NULL, ''),
(10, 11, NULL, ''),
(10, 12, NULL, ''),
(10, 13, NULL, ''),
(10, 14, NULL, ''),
(10, 15, NULL, ''),
(10, 16, NULL, ''),
(10, 17, NULL, ''),
(10, 18, NULL, ''),
(11, 1, NULL, ''),
(11, 3, NULL, ''),
(11, 2, NULL, ''),
(11, 4, NULL, ''),
(11, 5, NULL, ''),
(11, 6, NULL, ''),
(11, 7, NULL, ''),
(11, 8, NULL, ''),
(11, 9, NULL, ''),
(11, 10, NULL, ''),
(11, 11, NULL, ''),
(11, 12, NULL, ''),
(11, 13, NULL, ''),
(11, 14, NULL, ''),
(11, 15, NULL, ''),
(11, 16, NULL, ''),
(11, 17, NULL, ''),
(11, 18, NULL, ''),
(12, 1, NULL, ''),
(12, 3, NULL, ''),
(12, 2, NULL, ''),
(12, 4, NULL, ''),
(12, 5, NULL, ''),
(12, 6, NULL, ''),
(12, 7, NULL, ''),
(12, 8, NULL, ''),
(12, 9, NULL, ''),
(12, 10, NULL, ''),
(12, 11, NULL, ''),
(12, 12, NULL, ''),
(12, 13, NULL, ''),
(12, 14, NULL, ''),
(12, 15, NULL, ''),
(12, 16, NULL, ''),
(12, 17, NULL, ''),
(12, 18, NULL, ''),
(3, 18, NULL, ''),
(3, 20, NULL, ''),
(3, 21, NULL, ''),
(3, 22, NULL, ''),
(3, 23, NULL, ''),
(3, 24, NULL, ''),
(3, 25, NULL, ''),
(3, 26, NULL, ''),
(2, 18, NULL, ''),
(2, 20, NULL, ''),
(2, 21, NULL, ''),
(2, 22, NULL, ''),
(2, 23, NULL, ''),
(2, 24, NULL, ''),
(2, 25, NULL, ''),
(2, 26, NULL, ''),
(8, 19, NULL, ''),
(8, 20, NULL, ''),
(8, 21, NULL, ''),
(8, 22, NULL, ''),
(8, 23, NULL, ''),
(8, 24, NULL, ''),
(8, 25, NULL, ''),
(8, 26, NULL, ''),
(5, 19, NULL, ''),
(5, 20, NULL, ''),
(5, 21, NULL, ''),
(5, 22, NULL, ''),
(5, 24, NULL, ''),
(5, 25, NULL, ''),
(1, 25, NULL, ''),
(2, 27, NULL, ''),
(3, 27, NULL, ''),
(8, 27, NULL, ''),
(10, 19, NULL, ''),
(10, 20, NULL, ''),
(10, 21, NULL, ''),
(10, 22, NULL, ''),
(11, 19, NULL, ''),
(11, 20, NULL, ''),
(11, 21, NULL, ''),
(11, 22, NULL, ''),
(11, 24, NULL, ''),
(11, 25, NULL, ''),
(9, 19, NULL, ''),
(9, 20, NULL, ''),
(9, 21, NULL, ''),
(9, 22, NULL, ''),
(9, 24, NULL, ''),
(6, 19, NULL, ''),
(6, 20, NULL, ''),
(6, 21, NULL, ''),
(6, 22, NULL, ''),
(6, 24, NULL, ''),
(6, 25, NULL, ''),
(6, 26, NULL, ''),
(6, 27, NULL, ''),
(7, 19, NULL, ''),
(7, 20, NULL, ''),
(7, 21, NULL, ''),
(7, 22, NULL, ''),
(7, 24, NULL, ''),
(7, 25, NULL, ''),
(7, 26, NULL, ''),
(7, 27, NULL, ''),
(12, 19, NULL, ''),
(12, 20, NULL, ''),
(12, 21, NULL, ''),
(12, 22, NULL, ''),
(12, 24, NULL, ''),
(12, 25, NULL, ''),
(12, 26, NULL, ''),
(12, 27, NULL, '');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `tblraids`
-- 

CREATE TABLE `tblraids` (
  `ID` int(11) NOT NULL,
  `RaidName` varchar(32) NOT NULL,
  `RaidTag` varchar(16) default NULL,
  `RaidHomepage` varchar(64) NOT NULL,
  `Faction` enum('H','A') NOT NULL default 'H',
  PRIMARY KEY  (`ID`)
) TYPE=InnoDB;

-- 
-- Daten für Tabelle `tblraids`
-- 

INSERT INTO `tblraids` (`ID`, `RaidName`, `RaidTag`, `RaidHomepage`, `Faction`) VALUES (1, 'pRophecy', 'pRo', 'http://www.prophecy-guild.de', 'H'),
(2, 'Sinwori', NULL, 'http://www.sinwori.de', 'H'),
(3, 'For the Horde', 'FtH', 'http://www.for-the-horde.com', 'H'),
(5, 'Tribe', NULL, 'http://www.tribe-gilde.de.vu', 'H'),
(6, 'Demons', NULL, 'http://www.demons.de', 'A'),
(7, 'Lost Templars', 'LT', 'http://www.lost-templars.de', 'A'),
(8, 'Riot', NULL, 'http://www.riot-guild.de/', 'A'),
(9, 'Honoris Causa', 'HC', 'http://www.honoris-causa.net/', 'A'),
(10, 'Primal Legion', NULL, 'http://www.primal-legion.net/', 'H'),
(11, 'Nori Dei', NULL, 'http://www.nori-dei.de/', 'H'),
(12, 'tog', NULL, '', 'A');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `tbluser`
-- 

CREATE TABLE `tbluser` (
  `ID` int(11) NOT NULL,
  `Username` varchar(32) NOT NULL,
  `Password` varchar(32) NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=InnoDB;

-- 
-- Daten für Tabelle `tbluser`
-- 

INSERT INTO `tbluser` (`ID`, `Username`, `Password`) VALUES (1, 'Beldur', '8a816a2d0859b36437396252b074185f');
