<?php

class LoginPage extends BasePage
{
	private $strLoginMsg;

	public function LoginPage()
	{
		parent::BasePage();

		$this->objTPL->assign("Template", "Login");

		if(isset($_POST["cmdLogin"]))
		{
			$strUsername = $_POST["txtLoginname"];
			$strPassword = $_POST["txtPassword"];

			if($this->objLS->Login($strUsername, md5($strPassword)))
			{
				header("Location: index.php");
			}
			else
			{
				$this->strLoginMsg = "Bad Username or Password!";
			}
		}
		else
		{
			$this->strLoginMsg = "";
		}
	}

	public function Render()
	{
		$this->objTPL->assign("LoginMessage", $this->strLoginMsg);
		$this->objTPL->assign("SQLQueries", $this->objDB->SQLQueries());

		$this->objTPL->display($this->strStyle . "/Header.tpl");
	}
}

?>